import { Highlightable } from '@angular/cdk/a11y';
import { ElementRef, OnInit } from '@angular/core';
import { AfterViewInit } from '@angular/core';
import { AtSelectComponent } from './at-select.component';
import * as i0 from "@angular/core";
export declare class AtSelectOptionComponent implements OnInit, AfterViewInit, Highlightable {
    private elementRef;
    parent: AtSelectComponent;
    get selected(): boolean;
    value?: any;
    label?: string;
    active: boolean;
    constructor(elementRef: ElementRef, parent: AtSelectComponent);
    onSelect(event: UIEvent): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setActiveStyles(): void;
    setInactiveStyles(): void;
    getLabel(): string;
    focus(options?: FocusOptions): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AtSelectOptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AtSelectOptionComponent, "at-select-option", never, { "value": "value"; "label": "label"; }, {}, never, ["*"], false>;
}
